org.restlet.ext.simple.internal

## Class SimpleContainer

- java.lang.Object
- - org.restlet.ext.simple.internal.SimpleContainer

All Implemented Interfaces:
  org.simpleframework.http.core.Container

    public class SimpleContainer
    extends java.lang.Object
    implements org.simpleframework.http.core.Container

Simple container delegating the calls to the Restlet server helper.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`SimpleContainer(SimpleServerHelper helper)` Constructor.

### Method Summary

Methods
`SimpleServerHelper` `getHelper()` Returns the delegate Restlet server helper.
`void` `handle(org.simpleframework.http.Request request, org.simpleframework.http.Response response)` Handles a Simple request/response transaction.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleContainer

    public SimpleContainer(SimpleServerHelper helper)

Constructor.

Parameters:
  `helper` - The delegate Restlet server helper.

### Method Detail

#### getHelper

    public SimpleServerHelper getHelper()

Returns the delegate Restlet server helper.

Returns:
  The delegate Restlet server helper.

#### handle

    public void handle(org.simpleframework.http.Request request,
              org.simpleframework.http.Response response)

Handles a Simple request/response transaction.

Specified by:
  `handle` in interface `org.simpleframework.http.core.Container`
Parameters:
  `request` - The Simple request.
  `response` - The Simple response.